apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  name: {{ .Values.developerRole.name }}
  labels:
    app.kubernetes.io/instance: {{ .Release.Name }}
    helm.sh/char: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
rules:
- apiGroups: ['*']
  resources: 
  {{- range .Values.developerRole.resources }}
    - {{ . | quote }}
  {{- end }}
  verbs: 
  {{- range .Values.developerRole.verbs }}
    - {{ . | quote }}
  {{- end }}
